glab(1)

NAME
glab-ci-get - Get JSON of a running CI/CD pipeline on the current or other specified branch.

SYNOPSIS
glab ci get [flags]

DESCRIPTION
Get JSON of a running CI/CD pipeline on the current or other specified branch.

OPTIONS
-b, --branch=""
    Check pipeline status for a branch. (Default: current branch)

-F, --output="text"
    Format output. Options: text, json.

-p, --pipeline-id=0
    Provide pipeline ID.

-d, --with-job-details[=false]
    Show extended job information.

--with-variables[=false]
    Show variables in pipeline. Requires the Maintainer role.

OPTIONS INHERITED FROM PARENT COMMANDS
--help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    glab ci get
    glab ci -R some/project -p 12345

SEE ALSO
glab-ci(1)